<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * timetable block caps.
 *
 * @package    block_timetable
 * @copyright  Raphael Dannecker <raphael.dannecker@steinbeisschule-reutlingen.de>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();
/*
$settings->add(new admin_setting_heading('sampleheader',
                                         get_string('headerconfig', 'block_timetable'),
                                         get_string('descconfig', 'block_timetable')));
 */
$settings->add(new admin_setting_configcheckbox('timetable/saturday',
                                                get_string('labelsaturday', 'block_timetable'),
                                                get_string('descsaturday', 'block_timetable'),
						'0'));

$settings->add(new admin_setting_configtext('timetable/fnamelesson',
                                                get_string('labelfnamelesson', 'block_timetable'),
						get_string('descfnamelesson', 'block_timetable'),
						''));

$settings->add(new admin_setting_configtext('timetable/fnamesubst',
                                                get_string('labelfnamesubst', 'block_timetable'),
						get_string('descfnamesubst', 'block_timetable'),
						''));

$settings->add(new admin_setting_configtext('timetable/numperiod',
                                                get_string('labelnumperiod', 'block_timetable'),
						get_string('descnumperiod', 'block_timetable'),
						12, PARAM_INT));
